# AGMS Gateway C Sample Code

The AGMS Gateway C Sample Code provides example to execute Transactions on the AGMS Gateway.

## Dependencies
gSOAP Toolkit (http://www.cs.fsu.edu/~engelen/soapmain.html)
The sample code is build on top of gSOAP which provides a standard way to deal with the SOAP both at server as well as client end

## Build and Install gSOAP
Download the gSOAP client and unzip in directory
Build the gSOAP tool by
`./configure` , `make` and `make install`

This will install gSOAP tool as well as the library files

## Generating the header and c files
gSOAP provide wsdl2h WSDL parser tool which convert the WSDL into header file
Issue following command to generate the header file. The -c options ensures that the client application can be developed in pure C. 
wsdl2h -c -o agms.h https://gateway.agms.com/roxapi/agms.asmx?WSDL

Then issue following to generate the c files. The -c options ensures that the client application can be developed in pure C. 

soapcpp2 -c agms.h 

Add the client.c and use appropriate method. A sample client.c is included in the sample code.

## Compile and then run the application
To compile issue following. This will generate client executable file. 
gcc -o client client.c soapC.c soapClient.c -lgsoapssl -lssl

Issue
./client
## Release Notes

Code Samples are NOT for production use!

## Documentation and Examples

 * [Official API Documentation](http://onlinepaymentprocessing.com/docs/soap_api_reference/introduction.php)
 * [More Code Samples](http://onlinepaymentprocessing.com/demos-downloads.php#code-samples)
 * [Code Libraries](http://onlinepaymentprocessing.com/demos-downloads.php#code-libraries)


## License

See the LICENSE file.





